Package org.apache.sysds.runtime.compress.lib

## Interface CLALibSeparator

    public interface CLALibSeparator

The job of this Lib is to separate and combine back a list of column groups from its dictionaries, and vice versa combine back together dictionaries with their respective column groups

### Nested Class Summary

Nested Classes
`static class` `CLALibSeparator.SeparatedGroups`

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`

### Method Summary

Static Methods
`static List<AColGroup>` `combine​(List<AColGroup> gs, Map<Integer,​List<IDictionary>> d, int blen)` Combine a set of separated groups back together.
`static CLALibSeparator.SeparatedGroups` `split​(List<AColGroup> gs)` Split a given list of column groups into separate subparts.

### Field Detail

#### LOG

    static final org.apache.commons.logging.Log LOG

### Method Detail

#### split

    static CLALibSeparator.SeparatedGroups split​(List<AColGroup> gs)

Split a given list of column groups into separate subparts.

Parameters:
  `gs` - the list of groups to separate.
Returns:
  A split of the groups and their dictionaries.

#### combine

    static List<AColGroup> combine​(List<AColGroup> gs,
                                   Map<Integer,​List<IDictionary>> d,
                                   int blen)

Combine a set of separated groups back together.

Parameters:
  `gs` - groups to combine with dictionaries
  `d` - dictionaries to combine back into the groups.
  `blen` - The block size.
Returns:
  A combined list of column groups.